<?php

declare(strict_types = 1);

namespace Drupal\oauth2_client\Plugin\Oauth2GrantType;

/**
 * Additional interface for grant plugins which need credentials.
 */
interface GrantWithCredentialsInterface {

  /**
   * Pass credentials in memory to be used in the oauth request.
   *
   * @param string $username
   *   The username for use by the grant type.
   * @param string $password
   *   The password for use by the grant type.
   */
  public function setUsernamePassword(string $username, string $password): void;

}
